import QtQuick 2.15
import QtQuick.Controls 2.15

Switch {
    id: control

    property int unfocusedButtonWidth: 0
    property int focusedButtonWidth: 0
    property int unfocusedButtonHeight: 0
    property int focusedButtonHeight: 0
    property string  checkedIndicator: ""
    property string  uncheckedIndicator: ""
    property alias backgroundColor: back.color
    property alias indicatorWidth: control.indicator.width
    property alias indicatorHeight: control.indicator.height
    property alias checkValue: control.checked

    checked: false
    width: unfocusedButtonWidth
    height: unfocusedButtonHeight

    state:{
        if(control.down)
        {
            return "clicked"
        }
        else if(control.activeFocus)
        {
            return "focused"
        }
        else{
            return "default"
        }
    }

    indicator: Image{
        id: innerimage
        anchors.centerIn: parent
        source: (control.checked) ? checkedIndicator : uncheckedIndicator
    }                                    

    background:Rectangle {
        id:back
        anchors.centerIn: parent
    }

}
